# Function find

- find<T>(set, callback): T | undefined

- Returns the first element in the set (according to insertion order) that satisfies the provided testing function. Otherwise undefined is returned.

  #### Type Parameters

  - T

  #### Parameters

  - set: Set<T>

    The set to search.

  - callback: ((value: T, set: Set<T>) => boolean)

    The testing function.

    - - (value, set): boolean

      - #### Parameters

        - value: T
        - set: Set<T>

        #### Returns boolean

  #### Returns T | undefined